# 32/64bit spec-file
#
%define prefix /usr
%define name rpm-installer
%define version 0.6
%define release %mkrel 4
%define url http://www.pclinuxos.com/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Packaging
URL:		%{url}
Summary:	RPM-Installer for RPM-Package
Summary(de):	RPM-Installer für RPM-Pakete
Source:         %{name}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-buildroot	
Requires:	apt, rpm, gtkdialog
Requires:	xterm, zenity
Obsoletes:	%name < %version
BuildArch:	noarch

%description
Simple desktop file to install rpm package, 
or analyzed rpm package via right click.
Notice: 
It is not recomended to install packages 
outside the repos for multiple reasons!

#german
%description -l de
Einfache Desktop Datei zum installieren von 
RPM Pakete oder zum analysieren via Rechtsklick.
Wichtig:
Es wird nicht empfohlen, Pakete außerhalb 
der regulären Paketquellen zu installieren!

#french
%description -l fr
Simple fichier de bureau pour installer un paquet RPM
ou analyser ses informations via un clic droit.
Note:
Il n'est pas recommandé d'installer un paquet
en dehors des dépôts pour de nombreuses raisons!

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/apps/%{name}
install -m 755 rpm-analyzer $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/
install -m 755 RPM $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=RPM-Installer
Name[de]=RPM-Installer
Name[fr]=RPM-Installateur
Comment=install rpm package
Comment[de]=installiert RPM-Pakete
Comment[fr]=installe un paquet RPM avec ses dépendances
Exec=xterm -hold -e "su -c 'apt-get install %f '"
Icon=synaptic
Terminal=false
Type=Application
Categories=PackageManager;GTK;System;Application;X-MandrivaLinux-System-Configuration-Packaging;
MimeType=application/x-rpm;
Encoding=UTF-8
NoDisplay=true
X-Desktop-File-Install-Version=%{version}
EOF


cat > %{buildroot}%{_datadir}/applications/rpm-analyzer.desktop << EOF
[Desktop Entry]
Name=RPM-show info
Name[de]=RPM-Infos anzeigen
Name[fr]=RPM-analyseur
Comment=Read infos of a rpm package
Comment[de]=Liest Informationen aus RPM-Pakete
Comment[fr]=Affiche les informations d'un paquet RPM
Exec=%{_datadir}/apps/%{name}/rpm-analyzer
Icon=synaptic
Terminal=false
Type=Application
Categories=PackageManager;GTK;System;Application;X-MandrivaLinux-System-Configuration-Packaging;
MimeType=application/x-rpm;
Encoding=UTF-8
NoDisplay=true
X-Desktop-File-Install-Version=%{version}
EOF

cat > %{buildroot}%{_datadir}/applications/pclos-rpm.desktop << EOF
[Desktop Entry]
Name=RPM-show info and install RPM's
Name[de]=RPM-Infos anzeigen und RPM's installieren
Name[fr]=RPM-analyseur & RPM-Installateur
Comment=Read infos of a rpm package, and install rpm package
Comment[de]=Liest Informationen aus RPM-Pakete und installiert Pakete
Comment[fr]=Affiche les informations d'un paquet RPM & RPM-Installateur
Exec=%{_datadir}/apps/%{name}/RPM
Icon=synaptic
Terminal=false
Type=Application
Categories=PackageManager;GTK;System;Application;X-MandrivaLinux-System-Configuration-Packaging;
Encoding=UTF-8
X-Desktop-File-Install-Version=%{version}
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,es}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}/languages/%{name}-es_ES.po


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_datadir}/apps/%{name}/rpm-analyzer
%{_datadir}/apps/%{name}/RPM
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/rpm-analyzer.desktop
%{_datadir}/applications/pclos-rpm.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Jan 18 2013 daniel <meisssw01 at gmail.com> 0.6-3leiche2013
- removed srpm.desktop file

* Fri Jan 11 2013 daniel <meisssw01 at gmail.com> 0.6-2leiche2012
- fix desktop file

* Sat Dec 15 2012 daniel <meisssw01 at gmail.com> 0.6-1leiche2012
- add some rpm commands for more handling
- needs new translations...

* Mon Oct 01 2012 daniel <meisssw01 at gmail.com> 0.5-2leiche2012
- rebuild for latest gtkdialog
- changes some commands

* Sun Feb 05 2012 leiche <meisssw01 at gmail.com> 0.5-1pclos2012
- add Spanish language, translated by Crow

* Sun Oct 09 2011 leiche <meisssw01 at gmail.com> 0.4-3leiche2011
- add desktopfile for install src.rpms for building

* Sat Sep 24 2011 leiche <meisssw01 at gmail.com> 0.4-2leiche2011
- fix Gui Version
- add German language, translated by ghostbunny

* Fri Apr 29 2011 leiche <meisssw01 at aol.com> 0.3-1leiche2011
- add rpm lister
- fix desktop file

* Tue Apr 26 2011 leiche <meisssw01 at aol.com> 0.2-1leiche2011
- add package analyzer
- add french synaptic description, translated by Leox

* Tue Jan 04 2010 leiche <meisssw01 at aol.com> 0.1-1leiche2010
- first build
